# QSqlRecord Class Reference

### [com.trolltech.qt.sql package]

### Constructor

- void QSqlRecord()
- void QSqlRecord(QSqlRecord other)

### Constructor Properties

- prototype: The QSqlRecord prototype object

### Prototype Object Properties

- void append(QSqlField field)
- void clear()
- void clearValues()
- bool contains(String name)
- int count()
- QSqlField field(String name)
- String fieldName(int i)
- int indexOf(String name)
- void insert(int pos, QSqlField field)
- bool isEmpty()
- bool isGenerated(String name)
- bool isNull(String name)
- bool operator_equal(QSqlRecord other)
- void remove(int pos)
- void replace(int pos, QSqlField field)
- void setGenerated(String name, bool generated)
- void setNull(String name)
- void setValue(String name, Object val)
- Object value(String name)

### Instance Properties

QSqlRecord objects have no special properties beyond those inherited from the QSqlRecord prototype object.